#ifndef __LCD_H
#define __LCD_H

#define BLINK     0x01    // Alias for blinking cursor
#define NOBLINK   0x00    // Alias for non blinking cursor
#define SHOW      0x02    // Alias for cursor on
#define HIDE      0x00    // Alias for cursor off
#define ON        0x04    // Alias for display on
#define OFF       0x00    // Alias for display off

void LCD_init(void);
void LCD_putchar(unsigned char value);
void LCD_putstring(char *str);
void LCD_control(unsigned char dsp,unsigned char blink,unsigned char cursor);
void LCD_setpos(unsigned char p);
void LCD_clear();

#endif
