/***************** (c) 2007 BTC Korporacja ***********************************
                     http://www kamami.com
PROJECT  : LCD
BOARD    : ZL25ARM + ZL24ARM (STR912X44)
COMPILER : GCC 4.1.1

******************************************************************************

    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT 
    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
    FROM USE OF THIS SOFTWARE.

******************************************************************************

DESCRIPTION :
    Using LCD character display (HD44780 compatible) in 4-bit mode.
    Jumpers settings on ZL25ARM:
	    not required
        
******************************************************************************/

// STR9x IO register & structures
#include "91x_map.h"

// System Control Unit definitions
#include "91x_scu.h"

#include "lcd.h"

// #define LCD_4BIT

// waits "howmuch" cycles
void delay(int howmuch)
{
    while(howmuch--)
        asm volatile ("nop");
}


int main()
{
    LCD_init();
    
    LCD_control(ON, BLINK, SHOW);

    LCD_clear();

    LCD_setpos(0);
    LCD_putstring("Hello, world!");

    for(;;)
    {    
        LCD_setpos(64);
        LCD_putstring("STR91x demo      ");

        delay(1000000);

        LCD_setpos(64);
        LCD_putstring("--- kamami.pl ---");

        delay(1000000);
    }
        

    return 0;
}
