	.file	"uart.c"
	.text
	.align	2
	.global	initialize_uart
	.type	initialize_uart, %function
initialize_uart:
	@ args = 0, pretend = 0, frame = 8
	@ frame_needed = 1, uses_anonymous_args = 0
	mov	ip, sp
	stmfd	sp!, {fp, ip, lr, pc}
	sub	fp, ip, #4
	sub	sp, sp, #8
	ldr	r2, .L3
	ldr	r3, .L3
	ldr	r3, [r3, #32]
	orr	r3, r3, #655360
	orr	r3, r3, #16
	str	r3, [r2, #32]
	ldr	r2, .L3
	ldr	r3, .L3
	ldr	r3, [r3, #24]
	orr	r3, r3, #655360
	orr	r3, r3, #16
	str	r3, [r2, #24]
	ldr	r2, .L3
	mov	r3, #128
	str	r3, [r2, #80]
	ldr	r2, .L3
	mov	r3, #4
	str	r3, [r2, #112]
	ldr	r2, .L3+4
	mov	r3, #6
	str	r3, [r2, #1024]
	ldr	r3, .L3+8
	str	r3, [fp, #-20]
	ldr	r3, [fp, #-20]
	and	r3, r3, #63
	str	r3, [fp, #-16]
	ldr	r2, .L3+12
	ldr	r3, [fp, #-20]
	mov	r3, r3, asr #6
	mov	r3, r3, asl #16
	mov	r3, r3, lsr #16
	strh	r3, [r2, #36]	@ movhi
	ldr	r2, .L3+12
	ldr	r3, [fp, #-16]
	mov	r3, r3, asl #16
	mov	r3, r3, lsr #16
	strh	r3, [r2, #40]	@ movhi
	ldr	r2, .L3+12
	mov	r3, #96
	strh	r3, [r2, #44]	@ movhi
	ldr	r2, .L3+12
	ldr	r3, .L3+16
	strh	r3, [r2, #48]	@ movhi
	sub	sp, fp, #12
	ldmfd	sp, {fp, sp, pc}
.L4:
	.align	2
.L3:
	.word	1543512064
	.word	1476431872
	.word	1041
	.word	1543524352
	.word	769
	.size	initialize_uart, .-initialize_uart
	.align	2
	.global	uart_write_byte
	.type	uart_write_byte, %function
uart_write_byte:
	@ args = 0, pretend = 0, frame = 4
	@ frame_needed = 1, uses_anonymous_args = 0
	mov	ip, sp
	stmfd	sp!, {fp, ip, lr, pc}
	sub	fp, ip, #4
	sub	sp, sp, #4
	mov	r3, r0
	strb	r3, [fp, #-16]
.L6:
	ldr	r3, .L9
	ldrh	r3, [r3, #24]	@ movhi
	mov	r3, r3, asl #16
	mov	r3, r3, lsr #16
	and	r3, r3, #32
	cmp	r3, #0
	bne	.L6
	ldr	r2, .L9
	ldrb	r3, [fp, #-16]	@ zero_extendqisi2
	strh	r3, [r2, #0]	@ movhi
	ldmib	sp, {fp, sp, pc}
.L10:
	.align	2
.L9:
	.word	1543524352
	.size	uart_write_byte, .-uart_write_byte
	.align	2
	.global	uart_read_byte
	.type	uart_read_byte, %function
uart_read_byte:
	@ args = 0, pretend = 0, frame = 0
	@ frame_needed = 1, uses_anonymous_args = 0
	mov	ip, sp
	stmfd	sp!, {fp, ip, lr, pc}
	sub	fp, ip, #4
.L12:
	ldr	r3, .L15
	ldrh	r3, [r3, #24]	@ movhi
	mov	r3, r3, asl #16
	mov	r3, r3, lsr #16
	and	r3, r3, #64
	cmp	r3, #0
	beq	.L12
	ldr	r3, .L15
	ldrh	r3, [r3, #0]	@ movhi
	mov	r3, r3, asl #16
	mov	r3, r3, lsr #16
	and	r3, r3, #255
	and	r3, r3, #255
	mov	r0, r3
	ldmfd	sp, {fp, sp, pc}
.L16:
	.align	2
.L15:
	.word	1543524352
	.size	uart_read_byte, .-uart_read_byte
	.align	2
	.global	uart_write_string
	.type	uart_write_string, %function
uart_write_string:
	@ args = 0, pretend = 0, frame = 8
	@ frame_needed = 1, uses_anonymous_args = 0
	mov	ip, sp
	stmfd	sp!, {fp, ip, lr, pc}
	sub	fp, ip, #4
	sub	sp, sp, #8
	str	r0, [fp, #-20]
	b	.L18
.L19:
	ldrb	r3, [fp, #-13]	@ zero_extendqisi2
	mov	r0, r3
	bl	uart_write_byte
.L18:
	ldr	r3, [fp, #-20]
	ldrb	r3, [r3, #0]
	strb	r3, [fp, #-13]
	ldrb	r3, [fp, #-13]	@ zero_extendqisi2
	cmp	r3, #0
	moveq	r3, #0
	movne	r3, #1
	and	r2, r3, #255
	ldr	r3, [fp, #-20]
	add	r3, r3, #1
	str	r3, [fp, #-20]
	cmp	r2, #0
	bne	.L19
	sub	sp, fp, #12
	ldmfd	sp, {fp, sp, pc}
	.size	uart_write_string, .-uart_write_string
	.section	.rodata
	.align	2
.LC0:
	.ascii	"\012\015\012\015Hello! This is BTC STR912 Board UAR"
	.ascii	"T Test Program. If you can read this text, UART wor"
	.ascii	"ks!\012\015\000"
	.align	2
.LC1:
	.ascii	"\012\015What's your name? \000"
	.align	2
.LC2:
	.ascii	"\012\015Nice to meet you, \000"
	.align	2
.LC3:
	.ascii	".\012\015\012\015\000"
	.text
	.align	2
	.global	main
	.type	main, %function
main:
	@ args = 0, pretend = 0, frame = 1032
	@ frame_needed = 1, uses_anonymous_args = 0
	mov	ip, sp
	stmfd	sp!, {fp, ip, lr, pc}
	sub	fp, ip, #4
	sub	sp, sp, #1024
	sub	sp, sp, #8
	bl	initialize_uart
.L23:
	mov	r3, #0
	str	r3, [fp, #-16]
	ldr	r0, .L29
	bl	uart_write_string
	ldr	r0, .L29+4
	bl	uart_write_string
	b	.L24
.L25:
	ldr	r3, [fp, #-16]
	ldr	r2, .L29+8
	sub	r1, fp, #12
	add	r3, r1, r3
	add	r2, r3, r2
	ldrb	r3, [fp, #-17]
	strb	r3, [r2, #0]
	ldr	r3, [fp, #-16]
	add	r3, r3, #1
	str	r3, [fp, #-16]
	ldrb	r3, [fp, #-17]	@ zero_extendqisi2
	mov	r0, r3
	bl	uart_write_byte
.L24:
	bl	uart_read_byte
	mov	r3, r0
	strb	r3, [fp, #-17]
	ldrb	r3, [fp, #-17]	@ zero_extendqisi2
	cmp	r3, #13
	beq	.L26
	ldr	r2, [fp, #-16]
	ldr	r3, .L29+12
	cmp	r2, r3
	ble	.L25
.L26:
	ldr	r3, [fp, #-16]
	ldr	r2, .L29+8
	sub	r1, fp, #12
	add	r3, r1, r3
	add	r2, r3, r2
	mov	r3, #0
	strb	r3, [r2, #0]
	ldr	r0, .L29+16
	bl	uart_write_string
	sub	r3, fp, #1024
	sub	r3, r3, #12
	sub	r3, r3, #5
	mov	r0, r3
	bl	uart_write_string
	ldr	r0, .L29+20
	bl	uart_write_string
	b	.L23
.L30:
	.align	2
.L29:
	.word	.LC0
	.word	.LC1
	.word	-1029
	.word	1022
	.word	.LC2
	.word	.LC3
	.size	main, .-main
	.ident	"GCC: (GNU) 4.1.1"
